Public Class Form_Work

    Public Sub Msg(ByVal t As String)
        Me.Label1.Text = t
        My.Application.DoEvents()
    End Sub

    Public Property pval() As Integer
        Get
            Return Me.ProgressBar1.Value
        End Get
        Set(ByVal value As Integer)
            If value < Me.ProgressBar1.Maximum Then Me.ProgressBar1.Value = value
        End Set
    End Property

    Private Sub Form_Work_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        Me.Show()
        My.Application.DoEvents()
    End Sub
End Class